OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PBRep

# PBRep_TEdge Class Reference

`#include <PBRep_TEdge.hxx>`

Inheritance diagram for PBRep_TEdge:

[legend]

## Public Member Functions
Standard_EXPORT | PBRep_TEdge ()
| Creates an empty TEdge. .
Standard_EXPORT Standard_Real | Tolerance () const
Standard_EXPORT void | Tolerance (const Standard_Real T)
Standard_EXPORT Standard_Boolean | SameParameter () const
Standard_EXPORT void | SameParameter (const Standard_Boolean S)
Standard_EXPORT Standard_Boolean | SameRange () const
Standard_EXPORT void | SameRange (const Standard_Boolean S)
Standard_EXPORT Standard_Boolean | Degenerated () const
Standard_EXPORT void | Degenerated (const Standard_Boolean S)
Standard_EXPORT Handle_PBRep_CurveRepresentation | Curves () const
Standard_EXPORT void | Curves (const Handle(PBRep_CurveRepresentation)&C)
| PBRep_TEdge (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPBRep_TEdgemyTolerance () const
void | _CSFDB_SetPBRep_TEdgemyTolerance (const Standard_Real p)
Standard_Integer | _CSFDB_GetPBRep_TEdgemyFlags () const
void | _CSFDB_SetPBRep_TEdgemyFlags (const Standard_Integer p)
| Handle (PBRep_CurveRepresentation) _CSFDB_GetPBRep_TEdgemyCurves() const
void | _CSFDB_SetPBRep_TEdgemyCurves (const Handle(PBRep_CurveRepresentation)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | myTolerance
Standard_Integer | myFlags
Handle_PBRep_CurveRepresentation | myCurves

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_TEdge::PBRep_TEdge | ( |  | ) |

PBRep_TEdge::PBRep_TEdge | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Integer PBRep_TEdge::_CSFDB_GetPBRep_TEdgemyFlags | ( |  | ) | const`[inline]`

Standard_Real PBRep_TEdge::_CSFDB_GetPBRep_TEdgemyTolerance | ( |  | ) | const`[inline]`

void PBRep_TEdge::_CSFDB_SetPBRep_TEdgemyCurves | ( | const Handle(PBRep_CurveRepresentation)& | p | ) | `[inline]`

void PBRep_TEdge::_CSFDB_SetPBRep_TEdgemyFlags | ( | const Standard_Integer | p | ) | `[inline]`

void PBRep_TEdge::_CSFDB_SetPBRep_TEdgemyTolerance | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT void PBRep_TEdge::Curves | ( | const Handle(PBRep_CurveRepresentation)& | C | ) |

Standard_EXPORT Handle_PBRep_CurveRepresentation PBRep_TEdge::Curves | ( |  | ) | const

Standard_EXPORT void PBRep_TEdge::Degenerated | ( | const Standard_Boolean | S | ) |

Standard_EXPORT Standard_Boolean PBRep_TEdge::Degenerated | ( |  | ) | const

Standard_EXPORT const PBRep_TEdge::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PTopoDS_TEdge.

PBRep_TEdge::Handle | ( | PBRep_CurveRepresentation |  | ) | const`[inline]`

Standard_EXPORT void PBRep_TEdge::SameParameter | ( | const Standard_Boolean | S | ) |

Standard_EXPORT Standard_Boolean PBRep_TEdge::SameParameter | ( |  | ) | const

Standard_EXPORT void PBRep_TEdge::SameRange | ( | const Standard_Boolean | S | ) |

Standard_EXPORT Standard_Boolean PBRep_TEdge::SameRange | ( |  | ) | const

Standard_EXPORT void PBRep_TEdge::Tolerance | ( | const Standard_Real | T | ) |

Standard_EXPORT Standard_Real PBRep_TEdge::Tolerance | ( |  | ) | const

## Field Documentation

Handle_PBRep_CurveRepresentation PBRep_TEdge::myCurves`[private]`

Standard_Integer PBRep_TEdge::myFlags`[private]`

| Reimplemented from PTopoDS_TShape.

Standard_Real PBRep_TEdge::myTolerance`[private]`

The documentation for this class was generated from the following file:

- PBRep_TEdge.hxx